Name:		chmsee
Version:	1.3.1.1
Release:	1%{?dist}
Summary(zh_CN):	CHM 文件阅读工具, 基于 Gtk2+
Summary:	HTML Help viewer for Unix/Linux
Group:		Applications/Publishing
License:	GPLv2
URL:		http://code.google.com/p/chmsee
Source0:	http://chmsee.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	intltool >= 0.34 pkgconfig >= 0.9 gettext cmake
BuildRequires:	gtk2-devel >= 2.20
BuildRequires:	libglade2-devel >= 2.0
BuildRequires:	libgcrypt-devel chmlib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gecko-devel-unstable >= 1.9.1.1

%description
ChmSee is an HTML Help viewer for Unix/Linux. It is based on CHMLIB
and use GTK+ as its front end toolkit. Because of using gecko HTML
rendering engine, ChmSee can support rich features of modern HTML
page, specially CSS.

Homepage: http://code.google.com/p/chmsee

Hint
* Unlike other chm viewers, chmsee extracts files from chm file, and then read
and display them. The extracted files could be found in $HOME/.chmsee/bookshelf
directory. You can clean those files at any time and there is a special config
option for that.
* The bookmark is related to each file so not all bookmarks will be loaded,
only current file's.
* Try to remove $HOME/.chmsee if you encounter any problem after an upgrade.

About ChmSee logo
ChmSee logo comes from Open Clip Art Library. The author is AJ Ashton.
http://www.openclipart.org/detail/17922

%description -l zh_CN
HTML 帮助文件阅读工具

使用提示
* 与有些 chm 阅读工具不同，ChmSee 采用的是
先将 chm 文件解压，再读取 html 文件的方式。
解压后的文件保存在 $HOME/.chmsee/bookshelf 
目录下面。如果您想清空这些解压后的文件，可以
按下“设置”按钮，在打开的对话框里面使用“清除”
功能。
* ChmSee 的书签功能与各个 chm 文件挂钩，打开
一个 chm 文件后，只会显示当前文件的书签。
* 试用新版本时，如果程序无法运行或在打开文件
时退出，请先清空一下 $HOME/.chmsee 目录。


%prep
%setup -q

%build
%cmake . -DCMAKE_SKIP_RPATH=ON
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -p -m 644 -D data/chmsee-icon.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/chmsee-icon.png
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --remove-key=Version \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/chmsee.desktop

%post
update-desktop-database %{_datadir}/applications &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING NEWS README
%{_bindir}/chmsee
%{_datadir}/applications/*.desktop
%{_datadir}/chmsee/
%{_datadir}/icons/hicolor/*/apps/chmsee-icon.png
%{_datadir}/mime-info/chmsee.keys
%{_datadir}/mime-info/chmsee.mime
%{_datadir}/pixmaps/chmsee-icon.png
%{_datadir}/icons/hicolor/*/mimetypes/chm.png
%{_datadir}/icons/hicolor/*/mimetypes/chm.svg
#{_mandir}/man1/chmsee*.1*

%changelog
* Thu May 19 2011  Peng Wu <pwu@redhat.com> - 1.3.1.1-1
- Update to 1.3.1.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 02 2010 bbbush <bbbush.yuan@gmail.com> - 1.2.0-2
- fix build (-DCMAKE_SKIP_RPATH=ON); use new mimetype icon

* Thu Dec 02 2010 bbbush <bbbush.yuan@gmail.com> - 1.2.0-1
- upstream release (released on 23Jul2010)
- add previous and next page function
- open specified page in file.chm::page.html format

* Tue Apr 13 2010 bbbush <bbbush.yuan@gmail.com> - 1.1.0-1
- upstream release, support "recent files" and session recovery, etc.

* Wed Oct 07 2009 bbbush <bbbush.yuan@gmail.com> - 1.0.7-1
- upstream release, fixed crash

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 12 2009 bbbush <bbbush.yuan@gmail.com> - 1.0.6-1
- update to 1.0.6
- update project location. Chmsee moved to google code since 2009-01-05,
  co-maintained by Li Daobing and Jungle Ji
- update build steps to use CMake
- Chmsee 1.0.3 was released on 2009-01-10, added "copy page location" in
  context menu, updated translation
- Chmsee 1.0.4 was released on 2009-03-14, added "drag and drop" support,
  dropped cs2w
- Chmsee 1.0.5 was released on 2009-05-17, added fullscreen support, switched
  to CMake, supported 6 more new languages
- Chmsee 1.0.6 was released on 2009-07-12, added index support, supported 8
  more new languages


* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 1.0.1-6
- Rebuild against newer gecko

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 02 2008 bbbush <bbbush.yuan@gmail.com> - 1.0.1-4
- bump version

* Sat May 17 2008 bbbush <bbbush.yuan@gmail.com> - 1.0.1-3
- update to 1.0.1
- specify gecko-provider to "libxul", add nspr in patch to configure
- BR libgcrypt-devel instead of openssl-devel

* Fri Apr 25 2008 bbbush <bbbush.yuan@gmail.com> - 1.0.0-2.37
- patch from Martin Stransky to fix crash on open files (rh#427622)

* Fri Feb 22 2008 bbbush <bbbush.yuan@gmail.com> - 1.0.0-2.36
- try build with gcc-43
- xulrunner-gtkmozembed is in xulrunner-devel-unstable

* Wed Dec 05 2007 bbbush <bbbush.yuan@gmail.com> - 1.0.0-1.34
- rebuild for new openssl (so.7)

* Sun Nov 25 2007 bbbush <bbbush.yuan@gmail.com> - 1.0.0-1.33
- define HAVE_GECKO_1_9 on make command line temporarily

* Sun Nov 25 2007 bbbush <bbbush.yuan@gmail.com> - 1.0.0-1.31
- now gecko-libs = 1.9 provided by xulrunner has offered its ld.so.conf file so RPATH is no longer required
- fix xpcom initialize and shutdown according to
  http://benjamin.smedbergs.us/blog/2005-12-23/whats-coming-for-gtkmozembed/


